package com.mortals.xhx.module.customer.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerWorkDesignVo;
/**
* 客户作品信息实体对象
*
* @author zxfei
* @date 2022-06-13
*/

public class CustomerWorkDesignEntity extends CustomerWorkDesignVo {
    private static final long serialVersionUID = 1L;

    /**
    * 客户ID
    */
    private Long customerId;
    /**
    * 作品名称
    */
    private String workDesignName;
    /**
    * 作品状态：0:草稿，1:发布
    */
    private Integer workDesignStatus;
    /**
    * 作品描述
    */
    private String workDesignDesc;
    /**
    * 模版引用的图片
    */
    private Long pictureId;
    /**
    * 模版引用的素材
    */
    private Long pictureSrcId;
    /**
    * 模版引用的背景
    */
    private Long pictureBackgroundId;
    /**
    * 作品引用的字体
    */
    private Long fontId;



    public CustomerWorkDesignEntity(){}
    /**
    * 获取 客户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 作品名称
    * @return String
    */
    public String getWorkDesignName(){
        return workDesignName;
    }
    /**
    * 设置 作品名称
    * @param workDesignName
    */
    public void setWorkDesignName(String workDesignName){
        this.workDesignName = workDesignName;
    }
    /**
    * 获取 作品状态：0:草稿，1:发布
    * @return Integer
    */
    public Integer getWorkDesignStatus(){
        return workDesignStatus;
    }
    /**
    * 设置 作品状态：0:草稿，1:发布
    * @param workDesignStatus
    */
    public void setWorkDesignStatus(Integer workDesignStatus){
        this.workDesignStatus = workDesignStatus;
    }
    /**
    * 获取 作品描述
    * @return String
    */
    public String getWorkDesignDesc(){
        return workDesignDesc;
    }
    /**
    * 设置 作品描述
    * @param workDesignDesc
    */
    public void setWorkDesignDesc(String workDesignDesc){
        this.workDesignDesc = workDesignDesc;
    }
    /**
    * 获取 模版引用的图片
    * @return Long
    */
    public Long getPictureId(){
        return pictureId;
    }
    /**
    * 设置 模版引用的图片
    * @param pictureId
    */
    public void setPictureId(Long pictureId){
        this.pictureId = pictureId;
    }
    /**
    * 获取 模版引用的素材
    * @return Long
    */
    public Long getPictureSrcId(){
        return pictureSrcId;
    }
    /**
    * 设置 模版引用的素材
    * @param pictureSrcId
    */
    public void setPictureSrcId(Long pictureSrcId){
        this.pictureSrcId = pictureSrcId;
    }
    /**
    * 获取 模版引用的背景
    * @return Long
    */
    public Long getPictureBackgroundId(){
        return pictureBackgroundId;
    }
    /**
    * 设置 模版引用的背景
    * @param pictureBackgroundId
    */
    public void setPictureBackgroundId(Long pictureBackgroundId){
        this.pictureBackgroundId = pictureBackgroundId;
    }
    /**
    * 获取 作品引用的字体
    * @return Long
    */
    public Long getFontId(){
        return fontId;
    }
    /**
    * 设置 作品引用的字体
    * @param fontId
    */
    public void setFontId(Long fontId){
        this.fontId = fontId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerWorkDesignEntity) {
            CustomerWorkDesignEntity tmp = (CustomerWorkDesignEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",workDesignName:").append(getWorkDesignName());
        sb.append(",workDesignStatus:").append(getWorkDesignStatus());
        sb.append(",workDesignDesc:").append(getWorkDesignDesc());
        sb.append(",pictureId:").append(getPictureId());
        sb.append(",pictureSrcId:").append(getPictureSrcId());
        sb.append(",pictureBackgroundId:").append(getPictureBackgroundId());
        sb.append(",fontId:").append(getFontId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.customerId = null;

            this.workDesignName = "";

            this.workDesignStatus = null;

            this.workDesignDesc = "";

            this.pictureId = null;

            this.pictureSrcId = null;

            this.pictureBackgroundId = null;

            this.fontId = null;
    }
}